=== debian/changelog ===
python3.6 (3.6.0~b2-1) experimental; urgency=medium

  * Python 3.6.0 beta 2.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Oct 2016 07:27:10 +0200

python3.6 (3.6.0~b1-1) experimental; urgency=medium

  * Python 3.6.0 beta 1.
  * Don't build the fpectl module on hppa. Addresses: #837314.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2016 13:59:11 +0200

python3.6 (3.6.0~a4-1) experimental; urgency=medium

  * Python 3.6.0 alpha 4.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2016 08:29:13 +0200

python3.6 (3.6.0~a3-1) experimental; urgency=medium

  * Python 3.6.0 alpha 3.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jul 2016 11:12:59 +0200

python3.6 (3.6.0~a2-1) experimental; urgency=medium

  * Python 3.6.0 alpha 2.
  * Update to 20160614 from the trunk.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jun 2016 13:36:38 +0200

python3.6 (3.6.0~a1-1) experimental; urgency=medium

  * Python 3.6.0 alpha 1.

 -- Matthias Klose <doko@debian.org>  Wed, 18 May 2016 10:11:08 +0200

python3.5 (3.5.1-12) unstable; urgency=medium

  * Update to 20160509 from the 3.5 branch.
    - Issue #26811: gc.get_objects() no longer contains a broken tuple with
      NULL pointer.
    - Issue #20120: Use RawConfigParser for .pypirc parsing, removing support
      for interpolation unintentionally added with move to Python 3. Behavior
      no longer does any interpolation in .pypirc files, matching behavior in
      Python 2.7 and Setuptools 19.0.
    - Issue #25745: Fixed leaking a userptr in curses panel destructor.
    - Issue #26881: The modulefinder module now supports extended opcode
      arguments.
    - Issue #23815: Fixed crashes related to directly created instances of
      types in _tkinter and curses.panel modules.
    - Issue #17765: weakref.ref() no longer silently ignores keyword arguments.
    - Issue #26873: xmlrpc now raises ResponseError on unsupported type tags
      instead of silently return incorrect result.
    - Issue #26881: modulefinder now works with bytecode with extended args.
    - Issue #26711: Fixed the comparison of plistlib.Data with other types.
    - Issue #24114: Fix an uninitialized variable in `ctypes.util`.
    - Issue #26864: In urllib.request, change the proxy bypass host checking
      against no_proxy to be case-insensitive, and to not match unrelated host
      names that happen to have a bypassed hostname as a suffix.
    - Issue #26634: recursive_repr() now sets __qualname__ of wrapper.
    - Issue #26804: urllib.request will prefer lower_case proxy environment
      variables over UPPER_CASE or Mixed_Case ones.
    - Issue #26837: assertSequenceEqual() now correctly outputs non-stringified
      differing items (like bytes in the -b mode).
      This affects assertListEqual() and assertTupleEqual().
    - Issue #26041: Remove "will be removed in Python 3.7" from deprecation
      messages of platform.dist() and platform.linux_distribution().
    - Issue #26822: itemgetter, attrgetter and methodcaller objects no longer
      silently ignore keyword arguments.
    - Issue #26733: Disassembling a class now disassembles class and static
      methods.
    - Issue #26801: Fix error handling in :func:`shutil.get_terminal_size`,
      catch :exc:`AttributeError` instead of :exc:`NameError`.
    - Issue #24838: tarfile's ustar and gnu formats now correctly calculate name
      and link field limits for multibyte character encodings like utf-8.
    - Issue #26657: Fix directory traversal vulnerability with http.server on
      Windows.
    - Issue #26736: Used HTTPS for external links in the documentation if
      possible.
    - Issue #22359: Disable the rules for running _freeze_importlib and pgen
      when cross-compiling.  The output of these programs is normally saved
      with the source code anyway, and is still regenerated when doing a
      native build. Closes: #820509.
    - Issue #21668: Link audioop, _datetime, _ctypes_test modules to libm.
    - Issue #26799: Fix python-gdb.py: don't get C types once when the Python
      code is loaded, but get C types on demand. The C types can change if
      python-gdb.py is loaded before the Python executable.
  * Fix issue #26673, runtime error in idle3. LP: #1574892.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 09 May 2016 13:00:17 +0200

python3.5 (3.5.1-11) unstable; urgency=medium

  * Update to 20160330 from the 3.5 branch.
    - Issue #26659: Make the builtin slice type support cycle collection.
    - Issue #26718: super.__init__ no longer leaks memory if called multiple
      times.  NOTE: A direct call of super.__init__ is not endorsed!
    - Issue #25339: PYTHONIOENCODING now has priority over locale in setting
      the error handler for stdin and stdout.
    - Issue #26717: Stop encoding Latin-1-ized WSGI paths with UTF-8.
    - Issue #26735: Fix :func:`os.urandom` on Solaris 11.3 and newer when
      reading more than 1,024 bytes: call ``getrandom()`` multiple times with
      a limit of 1024 bytes per call.
    - Issue #16329: Add .webm to mimetypes.types_map.
    - Issue #13952: Add .csv to mimetypes.types_map.
    - Issue #26709: Fixed Y2038 problem in loading binary PLists.
    - Issue #23735: Handle terminal resizing with Readline 6.3+ by installing
      our own SIGWINCH handler.
    - Issue #26586: In http.server, respond with "413 Request header fields too
      large" if there are too many header fields to parse, rather than killing
      the connection and raising an unhandled exception.
    - Issue #22854: Change BufferedReader.writable() and
      BufferedWriter.readable() to always return False.
    - Issue #6953: Rework the Readline module documentation to group related
      functions together, and add more details such as what underlying Readline
      functions and variables are accessed.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 18:14:06 +0200

python3.5 (3.5.1-10) unstable; urgency=medium


