=== debian/changelog ===
python3.6 (3.6.1-1) unstable; urgency=medium

  * Python 3.6.1 release.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Mar 2017 07:17:05 +0100

python3.6 (3.6.1~rc1-1) unstable; urgency=medium

  * Python 3.6.1 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Mar 2017 13:34:53 +0100

python3.6 (3.6.0-2) experimental; urgency=medium

  * Update to 20170203 from the 3.6 branch.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Feb 2017 09:23:51 +0100

python3.6 (3.6.0-1) experimental; urgency=medium

  * Python 3.6.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 05:29:02 +0100

python3.6 (3.6.0~rc1-1) experimental; urgency=medium

  * Python 3.6.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Dec 2016 09:56:22 +0100

python3.6 (3.6.0~b4-1) experimental; urgency=medium

  * Python 3.6.0 beta 4.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Nov 2016 14:41:03 +0100

python3.6 (3.6.0~b3-1) experimental; urgency=medium

  * Python 3.6.0 beta 3.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 14:33:32 +0200
