=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
 unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS
+export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
+DEB_BUILD_MAINT_OPTIONS := hardening=-pie
+export DEB_BUILD_MAINT_OPTIONS
+
+#DEB_MAINT_BUILD_OPTIONS := hardening=-pie
+#export DEB_MAINT_BUILD_OPTIONS
 
 export SHELL = /bin/bash
 
@@ -151,10 +158,13 @@
 RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib
 
 DPKG_CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
-DPKG_CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
-DPKG_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+DPKG_CFLAGS  = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-pie dpkg-buildflags --get CFLAGS)
+DPKG_LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-pie dpkg-buildflags --get LDFLAGS)
 OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
 DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))
+
+$(warning XXXXX CFLAGS: $(DPKG_CFLAGS))
+$(warning XXXXX LDFLAGS: $(DPKG_LDFLAGS))
 
 # on alpha, use -O2 only, use -mieee
 ifeq ($(DEB_HOST_ARCH),alpha)
@@ -244,17 +254,3 @@
 d_exam	:= debian/$(p_exam)
 d_idle	:= debian/$(p_idle)
 d_doc	:= debian/$(p_doc)
-d_dbg	:= debian/$(p_dbg)
-d_udeb	:= debian/$(p_udeb)
-d_venv	:= debian/$(p_venv)
-
-d_lbase	:= debian/$(p_lbase)
-d_lmin	:= debian/$(p_lmin)
-d_ldev	:= debian/$(p_ldev)
-d_ldbg	:= debian/$(p_ldbg)
-d_ltst	:= debian/$(p_ltst)
-
-build-arch: stamps/stamp-build
-build-indep: stamps/stamp-build-doc
-build: build-arch
-stamps/stamp-build: stamps/stamp-build-static stamps/stamp-mincheck \
