## python3.6 3.6.3

=== debian/changelog ===
python3.6 (3.6.3-1ubuntu1) artful; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Oct 2017 23:45:48 +0200

python3.6 (3.6.3-1) unstable; urgency=medium

  * Python 3.6.3 release.
  * Don't run test_platform/test_linux_distribution_encoding, Fedora only.
  * test_*: Run tests with TLSv1_2.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Oct 2017 23:16:13 +0200

python3.6 (3.6.2-5) unstable; urgency=medium

  * Fix symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 22:23:28 +0200

python3.6 (3.6.2-4) unstable; urgency=medium

  * Add package breaks for extensions referencing symbols for the removed
    _PyFPE module. Addresses: #873921.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 21:20:29 +0200

python3.6 (3.6.2-3) unstable; urgency=medium

  * Stop building the fpectl extension.
  * Break python3-numpy (<< 1:1.12.1-3.1), referencing the now missing fpectl
    modules. Closes: #873791.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 15:37:24 +0200

python3.6 (3.6.2-2) unstable; urgency=medium

  * Move test_support.py and libregrtest from libpython3.6-testsuite to
    libpython3.6-stdlib.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Aug 2017 10:35:04 -0400

python3.6 (3.6.2-1) unstable; urgency=medium

  * Python 3.6.2 release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Jul 2017 15:39:29 +0200

python3.6 (3.6.2~rc2-2) unstable; urgency=medium

  * Python 3.6.2 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Jul 2017 16:29:22 +0200

python3.6 (3.6.2~rc1-1) unstable; urgency=medium

  * Python 3.6.2 release candidate 1.
  * Update symbols files.
  * Build using -fexceptions on ppc64 and ppc64el.
    Addresses: #862925. LP: #1691848.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2017 14:51:36 +0200

python3.6 (3.6.1-2) unstable; urgency=medium

  * Update to 20170607 from the 3.6 branch.
  * Explicitly use the system python for byte compilation in postinst scripts.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Jun 2017 12:00:24 -0700
