=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3.6
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -17,7 +18,7 @@
   mime-support, netbase, bzip2, time, python3:any,
   net-tools, xvfb, xauth
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.6-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.6-debian
 XS-Testsuite: autopkgtest
@@ -53,7 +54,8 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.6-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmpdec2 (<< 2.4.2)
+Breaks: libmpdec2 (<< 2.4.2), python3-numpy (<< 1:1.12.1-3.1), python3-tk (<< 3.6.2-1~), 
+Replaces: libpython3.6-testsuite (<< 3.6.2-2)
 Description: Interactive high-level object-oriented language (standard library, version 3.6)
  Python is a high-level, interactive, object-oriented language. Its 3.6 version
  includes an extensive class library with lots of goodies for
@@ -106,7 +108,8 @@
 
 Package: python3.6-examples
 Architecture: all
-Depends: python3.6 (>= ${source:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: python3.6:any (>= ${source:Version}), ${misc:Depends}
 Description: Examples for the Python language (v3.6)
  Examples, Demos and Tools for Python (v3.6). These are files included in
  the upstream Python distribution (v3.6).
@@ -163,6 +166,7 @@
 Package: python3.6-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
 Suggests: python3.6
 Description: Documentation for the high-level object-oriented language Python (v3.6)
