=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
 unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
 export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
 DEB_BUILD_MAINT_OPTIONS := hardening=-pie
@@ -74,8 +75,6 @@
   WITHOUT_CHECK := yes
   WITHOUT_STONE := yes
 endif
-  WITHOUT_CHECK := yes
-  WITHOUT_BENCH := yes
 
 COMMA = ,
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
@@ -84,6 +83,9 @@
 
 distribution := $(shell lsb_release -is)
 distrelease  := $(shell lsb_release -cs)
+derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
+		elif dpkg-vendor --derives-from Debian; then echo Debian; \
+		else echo Unknown; fi)
 
 VER=3.6
 SVER=3.6.0~b2
@@ -130,11 +132,9 @@
 ifeq ($(distribution),Ubuntu)
   PY_MINPRIO = required
   PY_MINPRIO = optional
-  with_fpectl = yes
   #with_udeb = yes
 else
   PY_MINPRIO = $(PY_PRIO)
-  with_fpectl = yes
 endif
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric))
   bd_qual = :any
@@ -174,6 +174,10 @@
 endif
 ifeq ($(DEB_HOST_ARCH),m68k)
     EXTRA_OPT_FLAGS += -O2
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64 ppc64el))
+    OPT_CFLAGS += -fexceptions
+    DEBUG_CFLAGS += -fexceptions
 endif
 
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -246,11 +250,3 @@
 p_ldbg	:= lib$(PVER)-dbg
 p_ltst	:= lib$(PVER)-testsuite
 
-d_base	:= debian/$(p_base)
-d_min	:= debian/$(p_min)
-d_lib	:= debian/$(p_lib)
-d_tk	:= debian/$(p_tk)
-d_dev	:= debian/$(p_dev)
-d_exam	:= debian/$(p_exam)
-d_idle	:= debian/$(p_idle)
-d_doc	:= debian/$(p_doc)
