## python3.6 3.6.5~rc1

=== debian/changelog ===
python3.6 (3.6.5~rc1-1) unstable; urgency=medium

  * Python 3.6.5 release candidate 1.
    - Fix issue #32185: The SSL module no longer sends IP addresses in SNI TLS
      extension on platforms with OpenSSL 1.0.2+ or inet_pton. See #892814.
    - XXX check https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=890844
  * Add support for riscv64 (Aurelien Jarno). Closes: #892328.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Mar 2018 07:54:23 +0100

python3.6 (3.6.4-4) unstable; urgency=medium

  * Update to 20180212 from the 3.6 branch.
  * Add test_idle as expected to fail in the autopkg tests.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Feb 2018 09:25:03 +0100

python3.6 (3.6.4-3) unstable; urgency=medium

  * Stop building python3.6-2to3, now replaced by 2to3 and python3-lib2to3.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jan 2018 03:13:53 +0100

python3.6 (3.6.4-2) unstable; urgency=medium

  * Stop shipping lib2to3, now shipped in python3-lib2to3.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2017 14:02:49 +0100

python3.6 (3.6.4-1) unstable; urgency=medium

  * Python 3.6.4 release.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Dec 2017 15:09:48 +0100

python3.6 (3.6.4~rc1-2) unstable; urgency=medium

  * Build documentation in info format (Benjamin Moody). Closes: #881959.
  * Split out a python3.6-2to3 package.
  * Stop shipping the tkinter and distutils modules in libpython3.6-stdlib.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 12:08:21 +0100

python3.6 (3.6.4~rc1-1) unstable; urgency=medium

  * Python 3.6.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2017 11:08:29 +0100

python3.6 (3.6.3-2) unstable; urgency=medium

  * Update to 20171205 from the 3.6 branch.
  * Add support for mipsr6 triplets (YunQiang Su). Closes: #881942.
  * Move the idle library into the idle-python3.6 package.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 11:22:15 +0100
