=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python3.6
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -17,8 +16,8 @@
   libgpm2 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
   mime-support, netbase, bzip2, time, python3:any,
   net-tools, xvfb, xauth
-Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.1.0
+Build-Depends-Indep: python3-sphinx, texinfo
+Standards-Version: 4.1.3
 Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.6-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.6-debian
 XS-Testsuite: autopkgtest
@@ -27,7 +26,11 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: optional
-Depends: python3.6-minimal (= ${binary:Version}), libpython3.6-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3.6-minimal (= ${binary:Version}),
+ libpython3.6-stdlib (= ${binary:Version}),
+ python3-distutils,
+ mime-support,
+ ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3.6-venv, python3.6-doc, binutils
 Description: Interactive high-level object-oriented language (version 3.6)
  Python is a high-level, interactive, object-oriented language. Its 3.6 version
@@ -54,7 +57,7 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.6-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmpdec2 (<< 2.4.2), python3-numpy (<< 1:1.12.1-3.1), python3-tk (<< 3.6.2-1~), 
+Breaks: python3-tk (<< 3.6.4~rc1-2), libmpdec2 (<< 2.4.2), cython3 (<< 0.26-2.1), python3-lxml (<< 3.8.0-2), python3-numpy (<< 1:1.12.1-3.1), python3-tk (<< 3.6.2-1~), python3-scipy (<< 0.18.1-2.1), borgbackup (<= 1.0.11-3), python3-acora (<= 2.0-2+b1), python3-adios (<= 1.12.0-3), python3-astroml-addons (<= 0.2.2-4), python3-astropy (<= 2.0.1-2), python3-astroscrappy (<= 1.0.5-1+b1), python3-asyncpg (<= 0.12.0-1), python3-bcolz (<= 1.1.0+ds1-4+b1), python3-brainstorm (<= 0.5-3+b1), python3-cartopy (<= 0.14.2+dfsg1-2+b1), python3-cutadapt (<= 1.13-1+b1), python3-djvu (<= 0.8-2), python3-fabio (<= 0.4.0+dfsg-2+b1), python3-falcon (<= 1.0.0-2+b1), python3-fiona (<= 1.7.9-1), python3-grib (<= 2.0.2-2), python3-gssapi (<= 1.2.0-1+b1), python3-h5py (<= 2.7.0-1+b1), python3-healpy (<= 1.10.3-2+b1), python3-kivy (<= 1.9.1-1+b1), python3-libdiscid (<= 1.0-1+b1), python3-liblo (<= 0.10.0-3+b1), python3-llfuse (<= 1.2+dfsg-1+b1), python3-ltfatpy (<= 1.0.9-1), python3-netcdf4 (<= 1.2.9-1+b1), python3-pandas-lib (<= 0.20.3-1), python3-petsc4py (<= 3.7.0-3+b1), python3-pybedtools (<= 0.7.8-1), python3-pyfai (<= 0.13.0+dfsg-1+b1), python3-pygpu (<= 0.6.9-2), python3-pymca5 (<= 5.1.3+dfsg-1+b1), python3-pymssql (<= 2.1.3+dfsg-1+b1), python3-pyresample (<= 1.5.0-3+b1), python3-pysam (<= 0.11.2.2+ds-3), python3-pywt (<= 0.5.1-1.1+b1), python3-rasterio (<= 0.36.0-2+b2), python3-sfml (<= 2.2~git20150611.196c88+dfsg-4), python3-shapely (<= 1.6.1-1), python3-skbio (<= 0.5.1-2+b1), python3-skimage-lib (<= 0.12.3-9+b1), python3-sklearn-lib (<= 0.19.0-1), python3-specutils (<= 0.2.2-1+b1), python3-stemmer (<= 1.3.0+dfsg-1+b7), python3-tables-lib (<= 3.3.0-5+b1), python3-tinycss (<= 0.4-1+b1), python3-wheezy.template (<= 0.1.167-1.1+b1), python3-yt (<= 3.3.3-2+b1), 
 Replaces: libpython3.6-testsuite (<< 3.6.2-2)
 Description: Interactive high-level object-oriented language (standard library, version 3.6)
  Python is a high-level, interactive, object-oriented language. Its 3.6 version
@@ -159,6 +162,8 @@
 Architecture: all
 Depends: python3.6, python3-tk, python3.6-tk, ${misc:Depends}
 Enhances: python3.6
+Breaks: libpython3.6-stdlib (<< 3.6.3-2)
+Replaces: libpython3.6-stdlib (<< 3.6.3-2)
 Description: IDE for Python (v3.6) using Tkinter
  IDLE is an Integrated Development Environment for Python (v3.6).
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -189,7 +194,6 @@
 Section: debug
 Architecture: any
 Multi-Arch: allowed
-Priority: extra
 Depends: python3.6 (= ${binary:Version}), libpython3.6-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: gdb
 Suggests: python3-gdbm-dbg, python3-tk-dbg
@@ -207,7 +211,6 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.6-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Debug Build of the Python Interpreter (version 3.6)
