=== debian/rules ===
--- 
+++ 
@@ -82,13 +82,15 @@
 endif
 
 distribution := $(shell lsb_release -is)
+distribution := Debian
 distrelease  := $(shell lsb_release -cs)
+distrelease  := sid
 derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
 		elif dpkg-vendor --derives-from Debian; then echo Debian; \
 		else echo Unknown; fi)
 
 VER=3.6
-SVER=3.6.0~b2
+SVER=3.6.4~rc1
 NVER=3.7
 PVER=python$(VER)
 EXT_VER=$(subst .,,$(VER))
@@ -248,5 +250,3 @@
 p_lmin	:= lib$(PVER)-minimal
 p_ldev	:= lib$(PVER)-dev
 p_ldbg	:= lib$(PVER)-dbg
-p_ltst	:= lib$(PVER)-testsuite
-
